Irrlicht Engine: irr::scene::CIndexBuffer Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::CIndexBuffer Class Reference

`#include <CIndexBuffer.h>`

Inheritance diagram for irr::scene::CIndexBuffer:

List of all members.

## Classes
class | CSpecificIndexList
class | IIndexList
## Public Member Functions
virtual u32 | allocated_size () const
| CIndexBuffer (const IIndexBuffer &IndexBufferCopy)
| CIndexBuffer (video::E_INDEX_TYPE IndexType)
virtual u32 | getChangedID () const
| Get the currently used ID for identification of changes.
virtual void * | getData ()
virtual E_HARDWARE_MAPPING | getHardwareMappingHint () const
| get the current hardware mapping hint
virtual u32 | getLast ()
virtual video::E_INDEX_TYPE | getType () const
virtual u32 | operator[] (u32 index) const
virtual void * | pointer ()
virtual void | push_back (const u32 &element)
virtual void | reallocate (u32 new_size)
virtual void | set_used (u32 usedNow)
virtual void | setDirty ()
| flags the mesh as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint)
| set the hardware mapping hint, for driver
virtual void | setType (video::E_INDEX_TYPE IndexType)
virtual void | setValue (u32 index, u32 value)
virtual u32 | size () const
virtual u32 | stride () const
virtual | ~CIndexBuffer ()
## Public Attributes
u32 | ChangedID
IIndexList * | Indices
E_HARDWARE_MAPPING | MappingHint

## Detailed Description

Definition at line 15 of file CIndexBuffer.h.

## Constructor & Destructor Documentation

irr::scene::CIndexBuffer::CIndexBuffer | ( | video::E_INDEX_TYPE | IndexType | ) | `[inline]`

Definition at line 92 of file CIndexBuffer.h.

References setType().

irr::scene::CIndexBuffer::CIndexBuffer | ( | const IIndexBuffer & | IndexBufferCopy | ) | `[inline]`

Definition at line 97 of file CIndexBuffer.h.

References irr::scene::IIndexBuffer::getType(), push_back(), reallocate(), setType(), and irr::scene::IIndexBuffer::size().

virtual irr::scene::CIndexBuffer::~CIndexBuffer | ( |  | ) | `[inline, virtual]`

Definition at line 106 of file CIndexBuffer.h.

References Indices.

## Member Function Documentation

virtual u32 irr::scene::CIndexBuffer::allocated_size | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 184 of file CIndexBuffer.h.

References Indices.

virtual u32 irr::scene::CIndexBuffer::getChangedID | ( |  | ) | const`[inline, virtual]`

Get the currently used ID for identification of changes.

This shouldn't be used for anything outside the VideoDriver.

Implements irr::scene::IIndexBuffer.

Definition at line 214 of file CIndexBuffer.h.

References ChangedID.

virtual void* irr::scene::CIndexBuffer::getData | ( |  | ) | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 143 of file CIndexBuffer.h.

References Indices.

virtual E_HARDWARE_MAPPING irr::scene::CIndexBuffer::getHardwareMappingHint | ( |  | ) | const`[inline, virtual]`

get the current hardware mapping hint

Implements irr::scene::IIndexBuffer.

Definition at line 195 of file CIndexBuffer.h.

References MappingHint.

virtual u32 irr::scene::CIndexBuffer::getLast | ( |  | ) | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 164 of file CIndexBuffer.h.

References Indices.

virtual video::E_INDEX_TYPE irr::scene::CIndexBuffer::getType | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 145 of file CIndexBuffer.h.

References Indices.

virtual u32 irr::scene::CIndexBuffer::operator[] | ( | u32 | index | ) | const`[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 159 of file CIndexBuffer.h.

References Indices.

virtual void* irr::scene::CIndexBuffer::pointer | ( |  | ) | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 189 of file CIndexBuffer.h.

References Indices.

virtual void irr::scene::CIndexBuffer::push_back | ( | const u32 & | element | ) | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 154 of file CIndexBuffer.h.

References Indices.

Referenced by CIndexBuffer().

virtual void irr::scene::CIndexBuffer::reallocate | ( | u32 | new_size | ) | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 179 of file CIndexBuffer.h.

References Indices.

Referenced by CIndexBuffer().

virtual void irr::scene::CIndexBuffer::set_used | ( | u32 | usedNow | ) | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 174 of file CIndexBuffer.h.

References Indices.

virtual void irr::scene::CIndexBuffer::setDirty | ( |  | ) | `[inline, virtual]`

flags the mesh as changed, reloads hardware buffers

Implements irr::scene::IIndexBuffer.

Definition at line 207 of file CIndexBuffer.h.

References ChangedID.

virtual void irr::scene::CIndexBuffer::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | NewMappingHint | ) | `[inline, virtual]`

set the hardware mapping hint, for driver

Implements irr::scene::IIndexBuffer.

Definition at line 201 of file CIndexBuffer.h.

References MappingHint.

virtual void irr::scene::CIndexBuffer::setType | ( | video::E_INDEX_TYPE | IndexType | ) | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 112 of file CIndexBuffer.h.

References irr::video::EIT_16BIT, irr::video::EIT_32BIT, and Indices.

Referenced by CIndexBuffer().

virtual void irr::scene::CIndexBuffer::setValue | ( | u32 | index,
|  | u32 | value |
| ) |  |  | `[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 169 of file CIndexBuffer.h.

References Indices.

virtual u32 irr::scene::CIndexBuffer::size | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 149 of file CIndexBuffer.h.

References Indices.

virtual u32 irr::scene::CIndexBuffer::stride | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IIndexBuffer.

Definition at line 147 of file CIndexBuffer.h.

References Indices.

## Member Data Documentation

u32 irr::scene::CIndexBuffer::ChangedID

Definition at line 217 of file CIndexBuffer.h.

Referenced by getChangedID(), and setDirty().

IIndexList* irr::scene::CIndexBuffer::Indices

Definition at line 90 of file CIndexBuffer.h.

Referenced by allocated_size(), getData(), getLast(), getType(), operator[](), pointer(), push_back(), reallocate(), set_used(), setType(), setValue(), size(), stride(), and ~CIndexBuffer().

E_HARDWARE_MAPPING irr::scene::CIndexBuffer::MappingHint

Definition at line 216 of file CIndexBuffer.h.

Referenced by getHardwareMappingHint(), and setHardwareMappingHint().

The documentation for this class was generated from the following file:

- CIndexBuffer.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)